Subject: Re: signal error -3, Win32 error 317
From: Rick Rankin <[email-masked]>
To: Chris Faylor <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 13 Dec 1999 15:35:03 -0800 (PST)

Sorry. I didn't even look at the signal numbers to see that I'm getting the
equivalent of a segmentation violation, which points back to xemacs.

Rick
--
Rick Rankin
[email-masked]

--- Rick Rankin <[email-masked]> wrote:
> Are the messages below related at all? I'm using the 12/01 snapshot and
> Mumit's
> gcc-2.95.2. After approx 2 to 6 hours of use, XEmacs 21.2 beta 23 crashes on
> me
> with these messages in a stackdump file. Once the crash occurs, it *seems* to
> occur at shorter intervals.
> 
>     0 60009924 [main] xemacs-21.2-b23 1169 sig_send: wait for sig_complete
> event failed, sig 6, rc 258, Win32 error 0
>  8024 60017948 [sig] xemacs-21.2-b23 1169 sig_send: wait for sig_complete
> event
> failed, sig 11, rc 258, Win32 error 0
>  3256 60021204 [main] xemacs-21.2-b23 1169 sig_send: wait for sig_complete
> event failed, sig 6, rc 258, Win32 error 0
> 
> I asked the XEmacs-NT list about this, and got only one response indicating
> that the person is not seeing this problem when building an earlier version
> of
> XEmacs (21.1.8) with the Cygwin 1.0 CD.
> 
> It looks to me like a Cygwin problem rather than an XEmacs problem. Is that
> true or could it still be an XEmacs problem?
> 
> Thanks,
> 
> Rick
> --
> Rick Rankin
> [email-masked]
> 
> --- Chris Faylor <[email-masked]> wrote:
> > On Mon, Dec 13, 1999 at 12:36:40PM -0800, Bob McGowan wrote:
> > >I am using the cygwin tools to run UNIX developed test scripts in a
> > >WinNT environment.  One of the scripts, every once in a while, will
> > >generate the following error:
> > >
> > >1617775739 -1867899777 [main] bash 7805 sig_send: error sending signal
> > >-3 to pid 7805, semaphore 0x8C, Win32 error 317
> > >
> > >The first two numbers and the PID values vary, but the signal number,
> > >semaphore value and Win32 error number are consistently the same.
> > >
> > >The event does not appear to cause any problem with the script itself,
> > >since it continues to run.  I am curious if anyone can tell me what is
> > >happening here.  Is there a bug that I have uncovered or am I just
> > >pushing the limits of the system?
> > 
> > It's a harmless bug which should be fixed in recent snapshots.
> > 
> > cgf
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> > 
> > 
> 
> __________________________________________________
> Do You Yahoo!?
> Thousands of Stores.  Millions of Products.  All in one place.
> Yahoo! Shopping: http://shopping.yahoo.com
> 

__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]